#!/bin/sh

################################################################################
#    Config 1.0. Configuration Server for an Exim Mailsystem                   #
#    Using DB Framwork for PHP  1.1.                                           #
#    Copyright (C) 2006 Luca Bertoncello                                       #
#    Hartigstrasse, 12 - 01127 Dresden Deutschland                             #
#    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       #
#    http://www.lucabert.de/  http://www.lucabert.com/                         #
#                                                                              #
#    This program is free software; you can redistribute it and/or modify      #
#    it under the terms of the GNU General Public License as published by      #
#    the Free Software Foundation; version 2 of the License.                   #
#                                                                              #
#    This program is distributed in the hope that it will be useful,           #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of            #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
#    GNU General Public License for more details.                              #
#                                                                              #
#    You should have received a copy of the GNU General Public License         #
#    along with this program; if not, write to the Free Software               #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA #
################################################################################

###########################
# Your paths              #
###########################
MAINDIR=/home/exim
LOGDIR=$MAINDIR/spamLogs

###########################
# Your configuration      #
###########################
PREFIX=spamCheck-
SUFFIX=bz2

###########################
# Do NOT make any changes #
# after this line!        #
###########################
DATE=`/bin/date +%Y%m -d 'yesterday'`
for USER in `/bin/ls -1 /home/exim/spamCheck.*.log | /bin/sed -e "s/^\/home\/exim\/spamCheck\.//" -e "s/\.log$//"`; do
  ARCHNAME=$LOGDIR/$PREFIX$USER.$DATE.$SUFFIX

  /bin/mv $MAINDIR/spamCheck.$USER.log /tmp/spamCheck.log

  /bin/bzip2 -9 -c /tmp/spamCheck.log > $ARCHNAME
  /bin/rm /tmp/spamCheck.log
done
