{include file="header.tpl"}

<form action="{createURL class='LoginAction'}" method="post" id="loginForm">
  <div class="row">
    <div class="col-md-6">
    <fieldset id="qg-form-createProject">
      <legend>{t escape=no}Login{/t}</legend>
      <div class="form-group">
        <label for="login" class="col-md-4 control-label">
          {t escape=no}Benutzername{/t}
        </label>
        <div class="col-md-8">
          <input type="text" name="login" placeholder="{t escape=no}Benutzername{/t}" required="" maxlength="32" id="login" class="form-control" value="{$login}"/>
        </div>
      </div>
      <div class="form-group">
        <label for="password" class="col-md-4 control-label">
          {t escape=no}Kennwort{/t}
        </label>
        <div class="col-md-8">
          <input type="password" name="passwd" placeholder="{t escape=no}Kennwort{/t}" required="" maxlength="32" id="password" class="form-control"/>
        </div>
      </div>
{if $availableLanguages !== NULL}
  {if $availableLanguages|@count > 1}
      <div class="form-group">
        <label for="lang" class="col-md-4 control-label">
          {t escape=no}Sprache{/t}
        </label>
        <div class="col-md-8">
          <select class="selectpicker" data-width="fit" name="lang" id="lang" />
    {foreach from=$availableLanguages item=description key=lang}
      <option value="{$lang}"{if $lang == $currentLang} selected="selected"{/if}>{$description}</option>
    {/foreach}
          </select>
        </div>
      </div>
  {else}
    {foreach from=$availableLanguages item=description key=lang}
  <input type="hidden" name="lang" value="{$lang}"/>
    {/foreach}
  {/if}
{/if}
      <div class="form-group">
        <div class="col-md-offset-4 col-md-8">
          <button id="submitBtn" type="submit" value=" " name="loginButton" class="btn btn-default btn-block">{t escape=no}Einloggen{/t}</button>
        </div>
      </div>
    </fieldset>
    </div>
  </div>
</form>
{literal}
<script type="text/javascript">
$('#login').focus();
$('#lang').on('change', function(e) {
  $('#submitBtn').attr('name', 'changeLanguage');
  $('#loginForm').submit();
});
</script>
{/literal}

{include file="footer.tpl"}
