{include file="header.tpl"}

<script type="text/javascript">
var actionURL="{createURL class='MainAction' ajax=true}"
</script>

<form method="post" action="{createURL class='MainAction'}" id="chooseUserForm">
  <div class="row separatebottom">
    <div class="col-md-8">
      <fieldset id="qg-form-createProject">
{include file="selectuser.tpl" reloadOnChange=true reloadParam='action' reloadValue='chgAdminUser' reloadForm='chooseUserForm'}
      </fieldset>
    </div>
  </div>
</form>

{if $account->getAccountType() == 'MBOX'}
<form method="post" action="{createURL class='MainAction'}" id="userPWDForm">
  <div class="row separatebottom">
    <div class="col-md-8">
      <fieldset id="qg-form-createProject">
        <legend>{t escape=no}Passwort &auml;ndern{/t}</legend>
        <div class="form-group">
          <label for="passwd" class="col-md-4 control-label">
            {t escape=no}Passwort{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}5 bis 32 Zeichen{/t}"></span>
          </label>
          <div class="col-md-8">
            <input type="password" name="passwd" placeholder="{t escape=no}Neues Passwort{/t}" required="" maxlength="32" id="passwd" class="form-control" />
            <div class="help pwstrength_viewport_progress" data-toggle="popover"
                data-content="{t escape=no}Passwortqualit&auml;t{/t}"></div>
          </div>
        </div>
        <div class="form-group">
          <label for="passwd" class="col-md-4 control-label">
            {t escape=no}Passwortbest&auml;tigung{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Zur Best&auml;tigung bitte Passwort wiederholen{/t}"></span>
          </label>
          <div class="col-md-8">
            <input type="password" name="passwd2" placeholder="{t escape=no}Passwort best&auml;tigen{/t}" required="" maxlength="32" id="passwd2" class="form-control" />
          </div>
        </div>
        <div class="form-group">
          <div class="col-md-offset-4 col-md-8">
            <button id="chgPasswdBtn" type="submit" value=" " name="chgPasswd" class="btn btn-default btn-block">{t escape=no}Passwort &auml;ndern{/t}</button>
          </div>
        </div>
      </fieldset>
    </div>
  </div>
</form>
{elseif $account->getAccountType() == 'FORWARD'}
<form method="post" action="{createURL class='MainAction'}" id="userForwardForm">
  <div class="row separatebottom">
    <div class="col-md-8">
      <fieldset id="qg-form-createProject">
        <legend>{t escape=no}Weiterleitung{/t}</legend>
        <div class="form-group">
          <label for="newFwd" class="col-md-4 control-label">
            {t escape=no}Neues Ziel{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Der neue Empf&auml;nger, den man hinzuf&uuml;gen will{/t}"></span>
          </label>
          <div class="col-md-6">
            <input type="email" name="newFwd" placeholder="{t escape=no}Neues Ziel{/t}" required="" maxlength="255" id="newFwd" class="form-control" value="{$newFwd}"/>
          </div>
          <div class="col-md-2">
            <button id="newForwardBtn" type="submit" value=" " name="newForward" class="btn btn-default btn-block ">{t escape=no}Speichern{/t}</button>
          </div>
          <div class="clear"></div>
        </div>
        <div class="form-group">
          <label for="passwd" class="col-md-4 control-label">
            {t escape=no}Weiterleitungsziele{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Die Empf&auml;nger dieser Weiterleitung{/t}"></span>
          </label>
          <div class="col-md-8">
            <div class="table-responsive scrolltable aligntop">
              <table class="table table-striped">
                <tbody>
{foreach from=$forwards item=f}
  {assign var=fDel value=$f|urlencode}
                  <tr>
                    <td>{$f}</td>
                    <td>
                      <a class="deleteMsg" onClick="confirmDelete('{t escape=no}Bitte best&auml;tigen Sie die L&ouml;schung{/t}', '{createURL class='MainAction' params="deletefwd=$fDel"}')" alt="{t escape=no}Ziel l&ouml;schen{/t}" title="{t escape=no}Ziel l&ouml;schen{/t}"><span class="glyphicon glyphicon-trash" style="margin: 0px" aria-hidden="true"></span></a>
                    </td>
                  </tr>
{/foreach}
                </tbody>
              </table>
            </div>
          </div>
          <div class="clear"></div>
        </div>
      </fieldset>
    </div>
  </div>
</form>
{elseif $account->getAccountType() == 'PIPE'}
<form method="post" action="{createURL class='MainAction'}" id="userPipeForm">
  <div class="row separatebottom">
    <div class="col-md-8">
      <fieldset id="qg-form-createProject">
        <legend>{t escape=no}Mail-Roboter{/t}</legend>
        <div class="form-group">
          <label for="pipeName" class="col-md-4 control-label">
            {t escape=no}Programm{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Programm das aufgerufen werden soll, wenn eine E-Mail empfangen wird{/t}"></span>
          </label>
          <div class="col-md-8">
            <select class="selectpicker" data-width="auto" name="pipeName" id="pipeName" />
  {foreach from=$availablePipes item=p}
              <option value="{$p.name}"{if $p.name == $pipeName} selected="selected"{/if}>{$p.name}</option>
  {/foreach}
            </select>
          </div>
        </div>
        <div class="form-group">
          <label for="pipeParameter" class="col-md-4 control-label">
            {t escape=no}Parameter{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Parameter des Programms{/t}"></span>
          </label>
          <div class="col-md-8">
            <select class="selectpicker" data-width="auto" data-none-selected-text="{t escape=no}Leer{/t}" name="pipeParameter" id="pipeParameter" />
              <option value=""{if $pipeParameter == ''} selected="selected"{/if}>{t escape=no}Bitte ausw&auml;hlen{/t}</option>
  {foreach from=$pipeParameters item=p}
              <option value="{$p}"{if $p == $pipeParameter} selected="selected"{/if}>{$p}</option>
  {/foreach}
            </select>
          </div>
        </div>
        <div class="form-group">
          <div class="col-md-offset-4 col-md-4">
            <button id="chgPipeBtn" type="submit" value=" " name="chgPipe" class="btn btn-default btn-block">{t escape=no}Speichern{/t}</button>
          </div>
        </div>
      </fieldset>
    </div>
  </div>
</form>
{/if}

<form method="post" action="{createURL class='MainAction'}" id="userPrefsForm">
  <div class="row separatebottom">
    <div class="col-md-8">
      <fieldset id="qg-form-createProject">
        <legend>{t escape=no}Kontoeinstellungen{/t}</legend>
        <div class="form-group">
          <label for="spamScanType" class="col-md-4 control-label">
            {t escape=no}Spamschutz{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no login=$account->getAccountname()}Die ankommenden E-Mails k&ouml;nnen mit SpamAssassin (http://spamassassin.apache.org/) kontrolliert werden.<br/>
Wenn die E-Mail als Spam erkannt wird, ist es m&ouml;glich zu w&auml;hlen, was mit ihr passieren soll.<br/>
Der Spam-Order kann per IMAP gelesen werden oder per POP3 mit dem Benutzername &quot;<strong>%1.spam</strong>&quot;. Das Passwort ist das gleiche wie beim normalen E-Mail-Konto.<br/>
Wenn man die E-Mail &quot;markiert&quot;, wird ihr ein Header hinzugef&uuml;gt und sie wird in der normalen INBOX gespeichert.<br/>
<strong>Das System schickt jeden Tag eine E-Mail an alle Konten, die mindestens eine Spam-E-Mail empfangen haben und f&uuml;r die die Option gew&auml;hlt wurde, die E-Mail im Spam-Ordner zu speichern!!!</strong>{/t}"></span>
          </label>
          <div class="col-md-8">
{foreach from=$spamScanTypes item=description key=type}
            <input type="radio" name="spamScanType" id="spamScanType_{$type}" value="{$type}"{if $spamScanType == $type} checked{/if} />
            <label for="spamScanType_{$type}">{$description}</label><br/>
{/foreach}
          </div>
        </div>
        <div class="form-group">
          <label for="rejectedSpamScore" class="col-md-4 control-label">
            {t escape=no}Erweiterter Spamschutz{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Die ankommenden E-Mails, die mehr SpamAssassin-Punkte bekommen, als bei &quot;Maximale Punktzahl&quot; vorgegeben ist, werden abgelehnt. Das reduziert drastisch die Anzahl der Spam-E-Mails, kann aber zu E-Mail-Verlust führen!!<br/>
Benutzen Sie diese Option nur, wenn Sie genau wissen, was Sie tun!!<br/><br/><strong>Leer lassen</strong> wenn Sie diese Option <u>nicht</u> nutzen wollen{/t}"></span>
          </label>
          <div class="col-md-2">
            <input type="number" value="{if $rejectedSpamScore != 0}{$rejectedSpamScore}{/if}" name="rejectedSpamScore" maxlength="3" id="rejectedSpamScore" class="form-control" />
          </div>
          <div class="clear"></div>
        </div>
        <div class="form-group">
          <label for="virusScanType" class="col-md-4 control-label">
            {t escape=no}Schutz vor Schadsoftware{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no login=$account->getAccountname()}Die ankommenden E-Mails k&ouml;nnen mit ClamAV (http://www.clamav.net/) kontrolliert werden.<br/>
Wenn die E-Mail einen oder mehrere Viren enth&auml;lt, ist es m&ouml;glich zu w&auml;hlen, was mit ihr passieren soll.<br/>
Der Spam-Order kann per IMAP gelesen werden oder per POP3 mit dem Benutzername &quot;<strong>%1.spam</strong>&quot;. Das Passwort ist das gleiche wie beim normalen E-Mail-Konto.<br/>
Wenn man w&auml;hlt, die E-Mail abzulehnen, wird dem Absender die Fehlermeldung 550 geschickt.<br/>
<strong>In diesem Fall bekommen Sie KEINE Benachrichtigung &uuml;ber die E-Mail mit dem Virus!!!</strong>{/t}"></span>
          </label>
          <div class="col-md-8">
{foreach from=$virusScanTypes item=description key=type}
            <input type="radio" name="virusScanType" id="virusScanType_{$type}" value="{$type}"{if $virusScanType == $type} checked{/if} />
            <label for="virusScanType_{$type}">{$description}</label><br/>
{/foreach}
          </div>
        </div>
        <div class="form-group">
          <label for="rejectAfterSize" class="col-md-4 control-label">
            {t escape=no}Filter nach Gr&ouml;&szlig;e{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Die ankommenden E-Mails, die gr&ouml;&szlig;er als der eingegebene Wert sind, werden mit der <i>Fehlermeldung 550</i> abgelehnt.<br/>
<strong>In diesem Fall bekommen Sie KEINE Benachrichtigung &uuml;ber die abgelehnte E-Mail!!!</strong><br/>
Leer lassen, wenn alle E-Mails akzeptiert werden sollen!{/t}"></span>
          </label>
          <div class="col-md-3">
            <input type="number" value="{if $rejectAfterSize != 0}{$rejectAfterSize}{/if}" name="rejectAfterSize" maxlength="5" id="rejectAfterSize" class="form-control" />
            <span class="afterInput">KBytes</span>
          </div>
          <div class="clear"></div>
        </div>
        <div class="form-group">
          <label for="useSPF" class="col-md-4 control-label">
            {t escape=no}SPF-Pr&uuml;fung{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Man kann pr&uuml;fen, ob der Absender die E-Mail &uuml;ber einen erlaubten Mailserver geschickt hat. Dieses System hei&szlig;t SPF (http://www.openspf.org/).<br/>
Wenn man diese Pr&uuml;fung aktiviert, und der Absender verf&auml;lscht worden ist, dann wird die E-Mail mit dem <i>Fehler 550</i> abgelehnt.<br/>
<strong>In diesem Fall bekommen Sie KEINE Benachrichtigung &uuml;ber die E-Mail mit dem falschen Absender!!!</strong>{/t}"></span>
          </label>
          <div class="col-md-8">
            <label for="useSPFT">{t escape=no}Aktiviert{/t}</label>
            <input type="radio" name="useSPF" id="useSPFT" value="t"{if $useSPF == 't'} checked{/if} />
            <label for="useSPFF">{t escape=no}Deaktiviert{/t}</label>
            <input type="radio" name="useSPF" id="useSPFF" value="f"{if $useSPF == 'f'} checked{/if} />
          </div>
        </div>
        <div class="form-group">
          <label for="useDomainKey" class="col-md-4 control-label">
            {t escape=no}DomainKey-Pr&uuml;fung{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Eine steigende Anzahl von Domains bieten die M&ouml;glichkeit, die ausgehenden E-Mails digital zu unterschreiben, um zu vermeiden, dass sie verf&auml;lscht werden. Dieses Verfahren wurde von Yahoo entwickelt und hei&szlig;t &quot;DomainKey&quot;.<br/>
Es ist m&ouml;glich, alle ankommende E-Mails zu pr&uuml;fen, ob sie eine g&uuml;ltige Unterschrift enthalten, falls der Absender sie unterschrieben hat. Die E-Mails, die keine g&uuml;ltige Unterschrift haben, werden dann mit dem <i>Fehler 550</i> abgelehnt.<br/>
<strong>In diesem Fall bekommen Sie KEINE Benachrichtigung &uuml;ber die E-Mail mit dem falschen Absender!!!</strong>{/t}"></span>
          </label>
          <div class="col-md-8">
            <label for="useDomainKeyT">{t escape=no}Aktiviert{/t}</label>
            <input type="radio" name="useDomainKey" id="useDomainKeyT" value="t"{if $useDomainKey == 't'} checked{/if} />
            <label for="useDomainKeyF">{t escape=no}Deaktiviert{/t}</label>
            <input type="radio" name="useDomainKey" id="useDomainKeyF" value="f"{if $useDomainKey == 'f'} checked{/if} />
          </div>
        </div>
        <div class="form-group">
          <label for="useGreylist" class="col-md-4 control-label">
            {t escape=no}Greylist{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Sehr oft werden die Spammer die sogenannten &quot;Zombie-PCs&quot; benutzen, um ihre M&uuml;ll-E-Mail zu schicken.<br/>
Diese Rechner haben kein echtes Mail-System (MTA) zur Verf&uuml;gung, das den Versand der E-Mail richtig verwalten kann.<br/>
Wenn man dem Rechner, der die E-Mail gerade schickt, sagt, &quot;sp&auml;ter erneut zu versuchen, die E-Mail zu liefern&quot;, wird ein gro&szlig;er Anteil der Spam aussortiert.<br/>
<strong>Die Nutzung dieses Verfahrens kann zu Verz&ouml;gerungen beim Empfang der normalen E-Mails f&uuml;hren!!!</strong>{/t}"></span>
          </label>
          <div class="col-md-8">
            <label for="useGreylistT">{t escape=no}Aktiviert{/t}</label>
            <input type="radio" name="useGreylist" id="useGreylistT" value="t"{if $useGreylist == 't'} checked{/if} />
            <label for="useGreylistF">{t escape=no}Deaktiviert{/t}</label>
            <input type="radio" name="useGreylist" id="useGreylistF" value="f"{if $useGreylist == 'f'} checked{/if} />
          </div>
        </div>
        <div class="form-group">
          <div class="col-md-offset-4 col-md-8">
            <button id="saveBtn" type="submit" value=" " name="save" class="btn btn-default btn-block">{t escape=no}Einstellungen speichern{/t}</button>
          </div>
        </div>
      </fieldset>
    </div>
  </div>
</form>

{literal}
<script type="text/javascript">
  $('.help').popover({placement: "auto left", html: 'true', trigger: 'hover'});

  var options = {};
  options.ui = {
      showVerdicts: false,
      showVerdictsInsideProgressBar: false,
      viewports: {
          progress: '.pwstrength_viewport_progress'
      }
  };
  options.rules = {
      wordThreeNumbers: false,
      wordTwoSpecialChar: false
  };
  options.common = {
      minChar: 5
  };
  $('#passwd').pwstrength(options);

  $('#pipeName').on('change', function() {
    $('.form-control').removeAttr('required');
    $('<input type="hidden" name="action" value="changePipe" />').appendTo($('#userPipeForm'));
    $('#userPipeForm').submit();
  });
</script>
{/literal}

{include file="footer.tpl"}
