#!/bin/sh

################################################################################
#    Config 1.0. Configuration Server for an Exim Mailsystem                   #
#    Using DB Framwork for PHP  1.1.                                           #
#    Copyright (C) 2006 Luca Bertoncello                                       #
#    Hartigstrasse, 12 - 01127 Dresden Deutschland                             #
#    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       #
#    http://www.lucabert.de/  http://www.lucabert.com/                         #
#                                                                              #
#    This program is free software; you can redistribute it and/or modify      #
#    it under the terms of the GNU General Public License as published by      #
#    the Free Software Foundation; version 2 of the License.                   #
#                                                                              #
#    This program is distributed in the hope that it will be useful,           #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of            #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
#    GNU General Public License for more details.                              #
#                                                                              #
#    You should have received a copy of the GNU General Public License         #
#    along with this program; if not, write to the Free Software               #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA #
################################################################################

###########################
# Your configuration      #
###########################
DBHOST=<your DB host>
DBNAME=<your DB name>
DBUSER=<your DB user>
DBPWD=<your DB password>

###########################
# Your paths              #
###########################
MYSQLDUMP=/usr/bin/mysqldump
BZIP2=/usr/bin/bzip2
BACKUPFILE=/backup/exim.sql.bz2

###########################
# Do NOT make any changes #
# after this line!        #
###########################
$MYSQLDUMP -c --add-drop-table -h $DBHOST -u $DBUSER --password=$DBPWD $DBNAME account aliases domain userpref | $BZIP2 > $BACKUPFILE
